Page MenuHomePhabricator

Update PageTriage notifications to new language and format
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/extensions/PageTriage : masterRephrase notifications
mediawiki/extensions/Echo : masterAdd thank icon

Event Timeline

SBisson created this task.Feb 3 2016, 7:17 PM
SBisson raised the priority of this task from to Medium.
SBisson updated the task description. (Show Details)
SBisson added subscribers: SBisson, Aklapper.
SBisson claimed this task.Feb 4 2016, 8:26 PM
SBisson set Security to None.

There was a proposal that we add a link to Thank the users who reviewed pages, but Stephane doesn't believe it's possible to do with reasonable effort, so I've dropped those proposed links from the spreadsheet definitions here https://docs.google.com/spreadsheets/d/1XjPO8RlrFMqNhboWBUZwONJv93TRmLbReAuQ_ZktnD0/edit#gid=0

There was a proposal that we add a link to Thank the users who reviewed pages, but Stephane doesn't believe it's possible to do with reasonable effort, so I've dropped those proposed links from the spreadsheet definitions here https://docs.google.com/spreadsheets/d/1XjPO8RlrFMqNhboWBUZwONJv93TRmLbReAuQ_ZktnD0/edit#gid=0

This is T52867: Add a way to thank page patrollers for reviewing a page I created, which requires T60485: [Epic] Allow thanks of log entry (which there may be other use cases for).

But it would be some work (not a crazy amount, but not minor either), so reasonable not to do immediately.

Thanks Matt. In the end, Stephane clarified that we can't do Thanks easily for pagetriage-mark-as-reviewed, but we can do it for pagetriage-add-maintenance-tag (because the tag creates and edit). So that's how we're going.

I updated this change on the Notifications Spreadsheet.

Change 268691 had a related patch set uploaded (by Sbisson):
[WIP] Rephrase notifications

https://gerrit.wikimedia.org/r/268691

@Pginer-WMF Do you know where I can find the 'Thank' icon in png? There's one in the Thank extension but it's only ltr and has weird padding at the bottom. It doesn't look very good for a secondary link.

@Pginer-WMF Do you know where I can find the 'Thank' icon in png?

On the icon repo, the "thanks" icon is named "userTalk". I added the SVG and PNG formats for LTR and RTL versions:

There's one in the Thank extension but it's only ltr and has weird padding at the bottom. It doesn't look very good for a secondary link.

Above I just exported the existing one, which also has some padding around the image which I'm not sure how consistent that is with the rest. Let me know f we ned to adjust it in some way.

Change 269146 had a related patch set uploaded (by Sbisson):
Add thank icon

https://gerrit.wikimedia.org/r/269146

Stephane, Pau and I have been emailing about a change to the format of the page triage messages. One issue had to do with whether we should try to translate the abbreviated tag names that the system now spits out. After some investigation by Stephane, it was determined that while translating the tag names is desirable from a UX perspective, doing so would involve a lot of work and some risks:

Translating the tags is not trivial as they are hardcoded all over the pace. I would say it's pretty risky right now given that:
  - It's a partial re-write of the front end
  - The original authors are not on this team
  - It's not our focus and nobody on the team is really paying attention to it
  - High chance of regression that would probably be caught by the en.wp editors community... need I say more ;)

So, let's not pursue the translation. That leaves the format issue.

jmatazzoni added a comment.EditedFeb 11 2016, 8:08 PM

Format issue: There are a couple of suggestions for reformatting the style of this message. As we think about this, we'll want to consider whether we want to make the pagetriage-add-deletion-tag and pagetriage-add-maintenance-tag messages consistent.

#1) Here's how they are now (using real tag abbreviations):

The page Moai was tagged with prod, afd, linkrot, and speedy deletion-vandalism.
The page Moai was marked for deletion. Tags: prod, afd, linkrot, speedy deletion-vandalism.

#2) Here is how they might look if we put the tags into the body for both messages.

The page Moai was tagged for maintenance.*
Tags: prod, afd, linkrot, speedy deletion-vandalism.
The page Moai was marked for deletion.
Tags: prod, afd, linkrot, speedy deletion-vandalism.
[*note addition of words "for maintenance"]

#3) And, I suppose we could put the tags into the body only for add-deletion but leave add-maintenance as is.

The page Moai was tagged with prod, afd, linkrot, and speedy deletion-vandalism.
The page Moai was marked for deletion.
Tags: prod, afd, linkrot, speedy deletion-vandalism.

Looking at these, I like #2 the best. I think it's worth it to make the two consistent -- especially when I consider how add-maintenance would read with just one tag: "The page Moai was tagged with prod". (The code will need to account for plura/singular variation on the word "Tags," as it does now.)

Opinions?

I like #2 but I'm wondering if "for maintenance" is the right way to say it. It feels like oil change on a car whereas the situation here is more like: "Your article was not flagged for deletion, which is already a big achievement, but it needs improvements". I'm not suggesting this as the wording I'm just trying to illustrate the situation.

Good point. If we want to be friendly, we could say something like:

The page Moai was reviewed and improvements suggested.

or, a little shorter and more active:

A review of the page Moai suggested improvements.

or, my favorite I think:

A reviewer suggested improvements to the page Moai.

Or maybe we don't have to say "the page"?

A reviewer suggested improvements to Moai.

Or maybe we don't have to say "the page"?

A reviewer suggested improvements to Moai.

I like it.

This was done for T114415: PageTriage's "patrolled" notifications are jargony and scary, because someone felt:

User:MyName was patrolled by SomeUser

meant that the user was patrolling/monitoring a person, rather than a page.

It could be split to only do this for user pages (and otherwise drop 'the page'), or there might be another way to address this. Also, some things have changed since then (e.g. re, "Why can't I click on the user names of the people who patrolled me to find out who they are?", I think you now can).

Thanks for the history @Mattflaschen. On that score: I assume the main notification that might be triggered for a user page is pagetriage-mark-as-reviewed(since why would someone tag your user page?). That message has also been changed--luckily in such a way that it shouldn't alarm anyone. We took the reviewer name out of the header and put it in a secondary link, so the whole stalking connotation isn't there. It now says

The page Moai has been reviewed.

Still, for pagetriage-add-maintenance-tag, I don't mind putting "the page" back in if we think it makes this less controversial and possibly more clear.

A reviewer suggested improvements to the page Moai.

HOWEVER, the whole discussion Stephane, Pau and I have been having about using the body text for the tags is moot, I just figured out, since we are already using the body text for something that is probably pretty useful: an excerpt of the message. (A reminder to all of us to do our research before diving in to debate changes.)

SO, I think we have a decision. The final formulations are:

pagetriage-add-maintenance-tag

A reviewer suggested improvements to the page Moai. Tags: prod, afd, linkrot, speedy deletion-vandalism.
Excerpt of the message

pagetriage-add-deletion-tag

The page Moai was marked for deletion. Tags: prod, afd, linkrot, speedy deletion-vandalism.
Excerpt of the message

I've updated the spreadsheet and cleared the question there about this. Speak up if you see a need to reopen. Stephane, the ball is back to you.

Change 269146 merged by jenkins-bot:
Add thank icon

https://gerrit.wikimedia.org/r/269146

Change 268691 merged by jenkins-bot:
Rephrase notifications

https://gerrit.wikimedia.org/r/268691

Checked in betalabs; specs per V 2.0 Notifications -- Showing Updated Text and Links

pagetriage-mark-as-reviewed

Header text: The page Moai has been reviewed.
Body text: Excerpt of the message.

Primary link:
Label: View page
Target: The reviewed page ($3)

Secondary link #1
Label: the user name of the user who reviewed the page ($1)
Icon: userAvatar
Target: the user page of the user who reviewed the page (User:$1)

Secondary link #2 None

pagetriage-add-maintenance-tag

Header text: A reviewer suggested improvements to the page Moai. Tags: prod, afd, linkrot, speedy deletion-vandalism.
Body text: Excerpt of the message.

Primary link:
Label: View page
Target: The reviewed page ($3)

Secondary link #1
Label: the user name of the user who reviewed the page ($1)
Icon: userAvatar
Target: the user page of the user who reviewed the page (User:$1)

Secondary link #2
Label: Thank
Icon: thanks
Target: Special:Thanks/whatever

pagetriage-add-deletion-tag

Header text: The page Moai was marked for deletion. Tags: prod, afd, linkrot, speedy deletion-vandalism.
Body text: Excerpt of the message. -- not displayed.

Primary link:
Label: View page
Target: The reviewed page ($3)

Secondary link #1
Label: the user name of the user who reviewed the page ($1)
Icon: userAvatar
Target: the user page of the user who reviewed the page (User:$1)

Secondary link #2 None

Notice that excerpt of the message for pagetriage-add-deletion-tag is not displayed.

Notice that excerpt of the message for pagetriage-add-deletion-tag is not displayed.

I misunderstood this from the start. There is no note for the marked for deletion notification.

PageTriage accepts 2 different kinds of message. The first one is an explanation for a specific tag (not all but most tags accept it) that is being added to the page being reviewed in the template corresponding to the tag. The second one is a note to the user and is only available for the maintenance notification.

@SBisson, Is there a reason why you are recommending we not include an excerpt from either of the notes you describe? They seem relevant. Or is there a technical difficulty?

@SBisson, Is there a reason why you are recommending we not include an excerpt from either of the notes you describe? They seem relevant. Or is there a technical difficulty?

This information is not currently available to the notifications but we can fix that.

In the case of maintenance, the message is clearly presented as a message to the user so it seems to make sense to include an excerpt in the notification. In the case of details added to tags, the text is supposed to be presented in the context of a template that explains the tag. I just don't know what kind of text is usually put there and how useful it is outside of its intended context.

Sorry @SBisson, but I'm still not sure I understand your suggestion. What are you proposing?

Sorry @SBisson, but I'm still not sure I understand your suggestion. What are you proposing?

I completely understand your confusion. I was trying to explain (poorly) why I don't have enough information to propose anything.

After looking at some examples ( look for "concern=" in the search results ), I think it could make sense to have that text in the notification.

However, it would require modifying the front-end and API so it would take more time and testing.

My inclination would be not to do it at this point but I don't feel strongly about it.

@SBisson wrote:

...it would require modifying the front-end and API so it would take more time and testing. My inclination would be not to do it at this point but I don't feel strongly about it.

Thanks Stephane. My take is that anyone who wants to see the message can just click on the link. So I see no reason to pursue extraordinary measures. I think we should drop the requirement for message and will change the Notifications spreadsheet accordingly.

Just to confirm I have this right: I see the message excerpt in Elena's screenshots above for add-maintenance and mark-as-reviewed. So the circumstance for those types is different I presume? Ie., we're dropping the excerpt requirement only for add-deletion-tag, right?

I want to close this ticket, but have to ask one question: the spec shows a "thank" link only for add-maintenance. Yet the use case for that would seem even better for mark-as-reviewed. Does anyone know why we didn't include "Thank" for mark-as-reviewed?

I want to close this ticket, but have to ask one question: the spec shows a "thank" link only for add-maintenance. Yet the use case for that would seem even better for mark-as-reviewed. Does anyone know why we didn't include "Thank" for mark-as-reviewed?

It is not currently possible to do it with the Thanks extension. I plan to make it possible at the hackathon: T60485: [Epic] Allow thanks of log entry

Just to confirm I have this right: I see the message excerpt in Elena's screenshots above for add-maintenance and mark-as-reviewed. So the circumstance for those types is different I presume? Ie., we're dropping the excerpt requirement only for add-deletion-tag, right?

That's also my understanding.

@SBisson wrote;

It is not currently possible to do it with the Thanks extension.

Thanks for your response. But I see the Thank link in Elena's screenshot . So, just to be totally clear: are you saying it's not possible to add a "Thank" link for mark-as-reviewed. But it is possible for add-maintenance? (Just making sure that Thank link actually works.)

@SBisson wrote;

It is not currently possible to do it with the Thanks extension.

Thanks for your response. But I see the Thank link in Elena's screenshot . So, just to be totally clear: are you saying it's not possible to add a "Thank" link for mark-as-reviewed. But it is possible for add-maintenance? (Just making sure that Thank link actually works.)

Yes, exactly.

The only things we can target with Thanks are Flow posts or page revisions. Marking a page for maintenance creates a page revision that can be thanked. Marking a page as reviewed creates a log entry that cannot be thanked (yet).

We are done here. Closing this. Thanks everyone. BTW, @Etonkovidova, your new notation style, with the breakdown and icons, is super helpful. Nice work!

jmatazzoni closed this task as Resolved.Feb 23 2016, 7:32 PM